package gov.nih.nlm.nls.lvg.Lib;
import java.io.*;
import java.util.*;
import gov.nih.nlm.nls.lvg.Util.*;
/*****************************************************************************
* This class provides LVg Global Behavior related definition and methods.
*
* <p><b>History:</b>
*
* @author NLM NLS Development Team
*
* @version    V-2010
****************************************************************************/
public class GlobalBehavior
{
    // private constructor
    private GlobalBehavior()
    {
    }
    public static void SetFieldSeparator(String value)
    {
        fieldSeparator_ = value;
    }
    public static String GetFieldSeparator()
    {
        return fieldSeparator_;
    }
    public static String GetDefaultFieldSeparator()
    {
        return FS_STR;
    }
    // public method
    // data member
    /** LVG default separator: "|" */
    final public static String LS_STR 
        = System.getProperty("line.separator").toString();    // line sep string
    // private data
    final private static String FS_STR = "|";    // field seperator string
    private static String fieldSeparator_ = FS_STR;
}
