import java.io.*;
import gov.nih.nlm.nls.lvg.Util.*;
/*****************************************************************************
* This class is to print out help menu
*
* <p><b>History:</b>
* <ul>
* </ul>
*
* @author NLM NLS Development Team
*
* @version    V-2010
****************************************************************************/
public class ToAsciiHelp
{
    // protected method
    protected static void ToAsciiHelp(BufferedWriter bw, boolean fileOutput)
    {
        bw_ = bw;
        fileOutput_ = fileOutput;
        // print out the usage
        MenuPrint("");
        MenuPrint("Synopsis:");
        MenuPrint("  ToAscii [options]");
        MenuPrint("");
        MenuPrint("Description:");
        MenuPrint("  To ASCII.  Convert UTF-8 to ASCII by utilizing lvg flows -f:q7:q8");
        MenuPrint("");
        MenuPrint("Options:");
        MenuPrint("  -ci     Print configuration information.");
        MenuPrint("  -d      Print details of Ascii convertion operations.");
        MenuPrint("  -h      Print program help information (this is it).");
        MenuPrint("  -hs     Print option's hierarchy structure."); 
        MenuPrint("  -i:STR  Specify input file name.  The default is screen input.");
        MenuPrint("  -n      Return a \"-No Output-\" message when an input produces no output.");
        MenuPrint("  -o:STR  Specify output file name.  The default is screen output.");
        MenuPrint("  -p      Show the prompt. The default is no prompt.");
        MenuPrint("  -pio    Preserve and display input and output term.");
        MenuPrint("  -v      Return the current version identification of ToAscii.");
        MenuPrint("  -x:STR  Loading an alternative configuration file.");
    }
    // private methods
    private static void MenuPrint(String text)
    {
        try
        {
            Out.Println(bw_, text, fileOutput_, false);
        }
        catch (Exception e)
        {
        }
    }
    private static BufferedWriter bw_ = null;
    private static boolean fileOutput_ = false;
}
